<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseStream..::.Write Method
DatabaseStream Class See Also Send Feedback

Write to the external file accessed by the database stream.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool Write(
    	DatabaseEntry data,
    	long offset
    )

Visual Basic (Declaration)

    Public Function Write ( _
    	data As DatabaseEntry, _
    	offset As Long _
    ) As Boolean

Visual C++

    public:
    bool Write(
    	DatabaseEntry^ data,
    	long long offset
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The DatabaseEntry containing the data to write. into the file.

offset
  Type: System..::.Int64
  The position in bytes in the file where the writing starts.

#### Return Value

True if the writing succeeds and false otherwise.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DatabaseException | Thrown if there is any failure.

# See Also

DatabaseStream Class
BerkeleyDB Namespace